Subject: bug#37615: bug#42534: 28.0.50; package-test-macro-compilation test fails on macOS

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Dec 2020 09:54:34 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 25 Dec 2020 07:29:10 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I just did the obvious:
> >
> >   cd test
> >   make lisp/emacs-lisp/package-tests.log
> 
> [...]
> 
> >      FAILED  13/21  package-test-macro-compilation (0.796875 sec)
> >
> > In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
> 
> I tried this (with mingw64) in Emacs 28, and this test didn't fail for
> me.  Are you still seeing this?

Yes (with current master).  I get this in the failure message:

  Test package-test-macro-compilation condition:
      (ert-test-failed
       ((should
	 (equal
	  (macro-problem-func)
	  '...))
	:form
	(equal
	 (progn a b)
	 (1 b))
	:value nil :explanation
	(proper-lists-of-different-length 3 2
					  (progn a b)
					  (1 b)
					  first-mismatch-at 0)))
     FAILED  23/32  package-test-macro-compilation (0.953125 sec)

I'm happy to provide more details if needed, or debug this more given
some instructions.